Any chance to support non-ancient kernels?

Getting started with a Blackmagic product? Ask questions here about setup and installation.
  • Author
  • Message
Offline

darkbasic

  • Posts: 4
  • Joined: Sun Nov 11, 2018 11:06 pm
  • Real Name: Niccolò Belli

Any chance to support non-ancient kernels?

PostSun Nov 11, 2018 11:14 pm

Hi,
I've bought a Decklink Mini Monitor and Decklink Mini Recorder to use under Linux.
Unfortunately it seems that they needs proprietary drivers, and those are only available for ancient kernels:

Code: Select all
make -C /lib/modules/`uname -r`/build M=/usr/src/blackmagic-10.11.4a9
make[1]: Entering directory '/usr/lib/modules/4.20.0-rc1-mainline/build'
  CC [M]  /usr/src/blackmagic-10.11.4a9/blackmagic_serial.o
Assembler messages:
Error: can't open arch/x86/kernel/macros.s for reading: No such file or directory
./arch/x86/include/asm/paravirt.h:756: Error: no such instruction: `paravirt_call type="37"clobber="1"pv_opptr="pv_ops+296"'
./arch/x86/include/asm/paravirt.h:766: Error: no such instruction: `paravirt_call type="39"clobber="1"pv_opptr="pv_ops+312"'
./arch/x86/include/asm/paravirt.h:761: Error: no such instruction: `paravirt_call type="38"clobber="1"pv_opptr="pv_ops+304"'
make[2]: *** [scripts/Makefile.build:294: /usr/src/blackmagic-10.11.4a9/blackmagic_serial.o] Error 1
make[1]: *** [Makefile:1565: _module_/usr/src/blackmagic-10.11.4a9] Error 2
make[1]: Leaving directory '/usr/lib/modules/4.20.0-rc1-mainline/build'
make: *** [Makefile:44: all] Error 2


I need to use a very modern kernel because of other drivers (I can downgrade up to latest stable kernel which is 4.19, maybe even 4.18 if needed). Is there any chance that I can get my products working? Which one is latest supported kernel?

:cry:
Offline

JeromeFr

  • Posts: 2
  • Joined: Tue Dec 25, 2018 12:32 pm
  • Real Name: Jérome Bihoue

Re: Any chance to support non-ancient kernels?

PostTue Dec 25, 2018 12:48 pm

Hello,

The problem related to the new file "macros.S" (kernel 4.20-rcX) is probably due to the file built for the architecture x86_64 ... but it has not been modified since the changes concerning macro.S were canceled in the final 4.20 kernel.
On the other hand, the blackmagic-io module does not load with kernels 4.20-rcX or 4.20 (desktopVideo: version 10.11.4a9): /
Currently, I am limited to the 4.19.12 kernel under which mini-recorder card works properly.

Regards,
Jerome
Offline

darkbasic

  • Posts: 4
  • Joined: Sun Nov 11, 2018 11:06 pm
  • Real Name: Niccolò Belli

Re: Any chance to support non-ancient kernels?

PostMon Dec 31, 2018 2:41 pm

I tried 4.19 and it seems to compile file.
Unfortunately when I try to list my cards using
Code: Select all
ffmpeg -f decklink -list_devices 1 -i dummy
See https://www.ffmpeg.org/ffmpeg-devices.html#Examples-1

I get

Code: Select all
$ ffmpeg -f decklink -list_devices 1 -i dummy
ffmpeg version 4.1 Copyright (c) 2000-2018 the FFmpeg developers
  built with gcc 8.2.1 (GCC) 20180831
  configuration: --prefix=/usr --disable-debug --disable-static --disable-stripping --enable-fontconfig --enable-gmp --enable-gnutls --enable-gpl --enable-ladspa --enable-libaom --enable-libass --enable-libbluray --enable-libdrm --enable-libfreetype --enable-libfribidi --enable-libgsm --enable-libiec61883 --enable-libjack --enable-libmodplug --enable-libmp3lame --enable-libopencore_amrnb --enable-libopencore_amrwb --enable-libopenjpeg --enable-libopus --enable-libpulse --enable-libsoxr --enable-libspeex --enable-libssh --enable-libtheora --enable-libv4l2 --enable-libvidstab --enable-libvorbis --enable-libvpx --enable-libwebp --enable-libx264 --enable-libx265 --enable-libxcb --enable-libxml2 --enable-libxvid --enable-nvdec --enable-nvenc --enable-omx --enable-shared --enable-version3 --enable-nonfree --enable-decklink
  libavutil      56. 22.100 / 56. 22.100
  libavcodec     58. 35.100 / 58. 35.100
  libavformat    58. 20.100 / 58. 20.100
  libavdevice    58.  5.100 / 58.  5.100
  libavfilter     7. 40.101 /  7. 40.101
  libswscale      5.  3.100 /  5.  3.100
  libswresample   3.  3.100 /  3.  3.100
  libpostproc    55.  3.100 / 55.  3.100
[decklink @ 0x560f8eeb0e40] Blackmagic DeckLink input devices:
[decklink @ 0x560f8eeb0e40]     'DeckLink Mini Recorder'
dummy: Immediate exit requested


Any idea why?

Return to Getting Started

Who is online

Users browsing this forum: No registered users and 7 guests